##### Network Communications
# ZMQ_PORT is the port used for all communications
ZMQ_PORT=5556
# SUBSCRIBER_ADDR is used by the publishers
# to contact the subscriber
SUBSCRIBER_ADDR=10.128.0.133
# ZMQ_TOKEN is used by ZeroMQ to detect
# messages from publishers. Leave as is if not sure.
ZMQ_TOKEN=ina260-zmq-publisher
# ZMQ_MSG_SIZE max number of bytes per ZeroMQ messages
# Be careful with this parameter. Default is 5MiB
# Units is bytes
ZMQ_MSG_SIZE=5242880

##### Publishers/Subscriber
# LOG_DELAY defines the delay between 2 consecutive
# ina260 power read performed by the logger
# Unit is milliseconds
LOG_DELAY=0
# SUBSCRIBER_DIR will contain all the measurments
# received from the publishers
SUBSCRIBER_DIR=./data
# LOG_INTERVAL determined the duration
# of a logging period. At the end of a logging period,
# all the measurements are send by a publisher thread
# Unit is seconds
LOG_INTERVAL=20
# KEY is attached to all the messages published to the subscriber
# It allows you to filter the messages on the publisher
# if you are using multiple monitoring nodes (multiple publishers)
KEY=node1
# MAX_QUEUE Maximum number of queues to use per publisher.
# It allows the zmq thread to send the power measurements to the subscriber meanwhile
# other measurements are collected. If only 1 queue is used, power measurements can
# potentially be missing since parallelism is broken.
MAX_QUEUE=2